#ifndef LLVM_TRANSFORMS_SCALAR_ANNOTATE_STORE_LOOPS_H
#define LLVM_TRANSFORMS_SCALAR_ANNOTATE_STORE_LOOPS_H

#include "llvm/IR/Function.h"
#include "llvm/IR/PassManager.h"

namespace llvm {
namespace aocc {
struct AnnotateStoreLoopsPass : llvm::PassInfoMixin<AnnotateStoreLoopsPass> {
  bool RemoveMetadata;
  AnnotateStoreLoopsPass(bool RemoveMetadata = false):
      RemoveMetadata(RemoveMetadata) {}

  llvm::PreservedAnalyses run(llvm::Function &F,
                              llvm::FunctionAnalysisManager &);
};
} // namespace aocc
} // namespace llvm

#endif